List Rows
curl --request GET \
--url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"row_index": 123,
"cells": {}
}
],
"next_cursor": "<string>",
"has_more": true,
"row_count": 123,
"columns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sheet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": 123,
"title": "<string>",
"type": "TEXT",
"config": {},
"position_rank": 123,
"is_output_column": true
}
],
"version": 123,
"execution_metadata_aggregates": {
"by_column_id": {},
"sheet": {
"by_metric": {}
}
}
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}List Table Sheet Rows
Retrieve rows from a Table sheet.
GET
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
rows
List Rows
curl --request GET \
--url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/rows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"row_index": 123,
"cells": {}
}
],
"next_cursor": "<string>",
"has_more": true,
"row_count": 123,
"columns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sheet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": 123,
"title": "<string>",
"type": "TEXT",
"config": {},
"position_rank": 123,
"is_output_column": true
}
],
"version": 123,
"execution_metadata_aggregates": {
"by_column_id": {},
"sheet": {
"by_metric": {}
}
}
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}Retrieve rows from a Table sheet using cursor pagination. Results are sorted by
row_index; use order=asc or order=desc to control direction.
Rows are returned as objects with row_index and cells. The cells object is keyed by column ID, and each cell uses column_id in the public payload.
Rows are returned in data. Pagination metadata is returned in pagination, including next_cursor, has_more, and limit.
Treat next_cursor as opaque. It includes the current sort, order, cursor value, and a hash of the active filters. Reuse a cursor only with the same sort, order, and filter parameters from the request that produced it; changing any of those while passing an old cursor returns an invalid cursor error.
Columns
Column definitions are included on the first page by default. Later cursor pages return an emptycolumns array unless you pass include_columns=true.
Row count
row_count is included by default. Pass include_row_count=false when you only need page data.Query Parameters
Response
List of rows
Was this page helpful?

